%define ttfdir %_datadir/fonts/default/TrueType-korean

Name: korean-fonts-ttf
Version: 2.1
Release: alt5

Summary: Baekmuk korean fonts
Summary (ru_RU.UTF-8): Корейские шрифты Baekmuk
License: GPL
Group: System/Fonts/True type
Url: ftp://ftp.mizi.com/pub/baekmuk
Source0: baekmuk-ttf-2.1.tar.bz2
Source1: baekmuk-doc-2.1.tar.bz2
Source2: fonts-ttf-korean-fonts.alias.bz2
BuildArch: noarch
BuildRequires: freetype
PreReq: chkfontpath freetype fontconfig

%description
Baekmuk Korean TrueType Fonts.

%description -l ru_RU.UTF-8
Корейские TrueType шрифты Baekmuk.

%prep
%setup -q -c -a0 -a1

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
bzcat %SOURCE2 > $RPM_BUILD_ROOT%ttfdir/fonts.alias

cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir ||:
%_sbindir/chkfontpath -q --add %ttfdir ||:
#CID-keyed font aliases for esp-ghostscript
# 2002-03-06 dxiaoming@mandrakesoft.com
if [ -x /usr/share/ghostscript/Resource/alias-ak12.sh ]; then
    cd /usr/share/ghostscript/Resource
    ./alias-ak12.sh install HYSMyeongJo-Medium=batang.ttf
    ./alias-ak12.sh install HYGoThic-Medium=dotum.ttf
    ./alias-ak12.sh install HYRGoThic-Medium=gulim.ttf
fi

%postun
if [ "$1" = "0" ]; then
    %_sbindir/chkfontpath -q --remove %ttfdir ||:
#CID-keyed font aliases for esp-ghostscript
# 2002-03-06 dxiaoming@mandrakesoft.com
    if [ -x /usr/share/ghostscript/Resource/alias-ak12.sh ]; then
        cd /usr/share/ghostscript/Resource
        ./alias-ak12.sh uninstall HYSMyeongJo-Medium
        ./alias-ak12.sh uninstall HYGoThic-Medium
        ./alias-ak12.sh uninstall HYRGoThic-Medium
    fi
fi

%triggerpostun -- %name < 2.1-alt4
%_sbindir/chkfontpath -q --add %ttfdir ||:

%files
%ttfdir
%doc COPYRIGHT COPYRIGHT.ks

%changelog
* Sat Jun 26 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.1-alt5
- %postun script fix

* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.1-alt4
- %postun script fix

* Wed Sep 03 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1-alt3
- CID support fixed

* Sun Aug 24 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1-alt2
- Changed dir
- Cleanups

* Wed May 07 2003 Stanislav Ievlev <inger@altlinux.ru> 2.1-alt1.1
- added CID support ( korean support for ghostscript )

* Wed Nov 27 2002 Vyacheslav Dikonov <slava@altlinux.ru> 2.1-alt1
- ALTLinux build
